Summary: Tom Boutell's gd GIF library
Name: gd
Version: 1.4
Release: 1
Copyright: distributable
Source: http://www.boutell.com/gd/gd1.4.tar.gz
Patch: gd-1.4-shared.patch
Url:http://www.boutell.com/gd/
Group: Libraries/Graphics

Buildroot: /var/tmp/gd-root

%changelog

* Thu Jun 17 1999 Martin Edlman <edlman@dzungle.ms.mff.cuni.cz>
- version 1.4

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- updated package

%description
gd is a graphics library. It allows your code to quickly
draw images complete with lines, arcs, text, multiple colors, cut and
paste from other images, and flood fills, and write out the result as
a .GIF file. This is particularly useful in World Wide Web
applications, where .GIF is the format used for inline images.

%package devel
Summary: development libraries and header files for gd
Group: Libraries

%description devel
These are the development libraries and header files for gd, the gif library.  
These are required if you plan to do development using it.

%prep
%setup -n gd1.4
%patch -p1

%build
make shared
make 
rm *.o

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/include
install -d $RPM_BUILD_ROOT/usr/lib

install -m 644 -o root -g root *.h $RPM_BUILD_ROOT/usr/include
install -m 644 -o root -g root libgd.a $RPM_BUILD_ROOT/usr/lib
install -m 755 -o root -g root libgd.so.1.4 $RPM_BUILD_ROOT/usr/lib

#ln -fs $RPM_BUILD_ROOT/usr/lib/libgd.so.1.4 $RPM_BUILD_ROOT/usr/lib/libgd.so.1
#ln -fs $RPM_BUILD_ROOT/usr/lib/libgd.so.1 $RPM_BUILD_ROOT/usr/lib/libgd.so
ln -fs libgd.so.1.4 $RPM_BUILD_ROOT/usr/lib/libgd.so.1
ln -fs libgd.so.1 $RPM_BUILD_ROOT/usr/lib/libgd.so
/sbin/ldconfig

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean 
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/libgd.so.1.4
/usr/lib/libgd.so.1
/usr/lib/libgd.so
%doc readme.txt

%files devel
/usr/lib/libgd.a
/usr/include/gd.h        
/usr/include/gdfontg.h   
/usr/include/gdfontl.h   
/usr/include/gdfontmb.h  
/usr/include/gdfonts.h   
/usr/include/gdfontt.h
%doc  gddemo giftogd webgif *.gif index.html readme.txt






